<template>
	<div>
		<button @click="authWithGoogleProvider">
			<img src="~@/assets/img/Google.png" />
			{{ title }}
		</button>
		<span v-if="displayError" class="error">{{ error }}</span>
	</div>
</template>
<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator'
import auth, {GProvider} from "@/config/auth";
import store from '@/store';
import Menu from '@/models/Menu';
import { redirect } from '@/utils/RedirectUtils';
@Component
export default class ButtonGoogle extends Vue {
	@Prop({ default: '' }) readonly title!: string
	menu = store.state.menu as Menu
	displayError = false
	error = ''

	authWithGoogleProvider(){	
		this.$analytics.logEvent('login', {
			method: 'Google'
		});
		auth.signInWithRedirect(GProvider);
	}

	async mounted(){
		const result = await auth.getRedirectResult()
		if(result.user){
			redirect()
		}else{
			this.error = 'Error al registrar usuario con gmail'
		}
	}
}
</script>
<style scoped>
button {
	display: flow-root;
	color: black;
	background: white;
	padding: 0.5em;
	border: 1px solid #ffffff;
	box-sizing: border-box;
	box-shadow: 0px 1px 4px rgba(0, 0, 0, 0.25);
	border-radius: 6px;
	width: 100%;
	font-weight: 500;
	font-size: 1.2em;
}
img {
	margin: 0 auto;
}
.error {
	font-size: 12px;
	color: red;
}
</style> 